/**
 * DevExtreme (cjs/exporter/jspdf/pdf_page.js)
 * Version: 21.1.7 (build 22012-0313)
 * Build date: Wed Jan 12 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.PdfPage = void 0;
var _type = require("../../core/utils/type");
var PdfPage = function() {
    function PdfPage(table) {
        this._tables = (0, _type.isDefined)(table) ? [table] : []
    }
    var _proto = PdfPage.prototype;
    _proto.addTable = function(table) {
        this._tables.push(table)
    };
    return PdfPage
}();
exports.PdfPage = PdfPage;
